define(['require', 'app'],
    function(require, APP) {
        /**
         * Controller for Inicio generated by Appery.io
         * @module Inicio
         */
        APP.controller('Inicio', ['$scope', 'Apperyio', controller]);

        function controller($scope, Apperyio) {
            /**
             * user controller variables
             */
            $scope.userLocal = Apperyio.EntityAPI('User');
            /**
             * User controller functions
             */
            /**
             * @function init
             */
            $scope.init = function() {
                //On load screen logic
                $scope.isRoot = $scope.$parent.$parent.isRoot;
                $scope.userLocal = JSON.parse(localStorage.getItem("userData"));
                $scope.companyData = JSON.parse(localStorage.getItem("companyData"));
                $scope.mOperators = localStorage.getItem("arrayOperators") ? JSON.parse(localStorage.getItem("arrayOperators")) : [];
                $scope.mAdministrators = localStorage.getItem("arrayAdministrators") ? JSON.parse(localStorage.getItem("arrayAdministrators")) : [];
                $scope.mAdministratorsG = localStorage.getItem("arrayAdministratorsG") ? JSON.parse(localStorage.getItem("arrayAdministratorsG")) : [];
                $scope.setStatusDetectaUltimaActividad(true);
            };
            /**
             * @function switchChartType
             */
            $scope.switchChartType = function() {
                $scope.type = newType;
            };
            /**
             * @function goToFichaUsuario
             */
            $scope.goToFichaUsuario = function() {
                Apperyio.navigateTo("FichaUsuario", {});
            };
        }
    });